HOSTNAME={{ ansible_hostname }}.{{ domain }}
BASE_DN=/C=JP/L=Tokio/O=My.Corp
{% if inventory_hostname in groups['ocsp_containers'] %}
CRL_UPLOAD_ALLOWED=true
CRL_UPDATE_REVOCATIONS=true
CA_CERTIFICATE_UPLOAD_ALLOWED=true
{% endif %}
{% if inventory_hostname in groups['ca_containers'] %}
CRL_PUBLISHER_DESTINATIONS={{ groups['ocsp_containers'] | map('regex_replace', '^', 'http://') | map('regex_replace', '$', ':8080/upload') | join(',') }}
CA_CERTIFICATE_PUBLISHER_DESTINATIONS={{ groups['ocsp_containers'] | map('regex_replace', '^', 'http://') | map('regex_replace', '$', ':8080/upload') | join(',') }}
{% endif %}
